const mongoose = require('mongoose');

const PermissionSchema = new mongoose.Schema({
  name: { type: String, required: true, unique: true }, // e.g., 'view_orders', 'edit_orders'
  description: { type: String }, // Optional: Description of the permission
});

module.exports = mongoose.model('Permission', PermissionSchema);
